Bug 469037 - gconftool-2 --makefile-install-rule very slow
gconftool-2 --makefile-install-rule very slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 12:34 EDT by Jakub Jelinek
Modified: 2009-12-18 01:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2008-10-29 12:34:22 EDT
Hundreds of packages use gconftool-2 --makefile-install-rule or
--makefile-uninstall-rule in their rpm scriptlets and especially on slower CPUs this makes a significant difference during install or yum update (e.g. on Intel Atom every such gconftool-2 invocation took around 15 seconds and there were over hundred packages that invoked it, so from a ~ 2hr yum update of ~ 550 packages
I'd bet at least 30 minutes were spent just in gconftool-2.  It would be better if
the schema additions/removals could be queued and executed only at the end of the whole transaction.
Comment 1 Matthias Clasen 2008-10-29 14:25:33 EDT
Well-known problem. 
But rpm doesn't really make that possible.
Comment 2 Bug Zapper 2008-11-25 23:26:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ray Strode [halfline] 2009-06-12 11:03:18 EDT
So Toshio is working on some macros for this: 

https://fedoraproject.org/wiki/GConf_Scriptlets_%28draft%29

that add checks to not bother doing work that doesn't need to be done.

I talked with Owen a bit earlier this week about some possible changes that may help here.

Owen needs to ability to specify a separate gconf source for schemas to make gnome-shell in jhbuild work.  This would be done by an environment variable.

We could add an API that is similar to the environment variable and have individual apps use the api to install their schemas to their datadirs.

Then schema installation for an app would happen in %install instead of %post.

Only keys shared across multiple apps would need schema installation to be performed in the default source.
Comment 4 Matthias Clasen 2009-06-12 11:20:29 EDT
I'm not convinced that that is going to fix more than it is going to break.

For one thing, there will be no single gconf database per-user anymore, so tools like gconf-editor or gconftool-2 will cease to work.

We should not do radical changes like that to an obsolescent technology, but rather hold out until it finally gets replaced.
Comment 5 Ray Strode [halfline] 2009-06-12 11:30:32 EDT
I guess we could elide the api entirely and just add a /etc/gconf/2/path.d directory where apps could drop their sources.

I don't know how well the gconf daemon will scale to having tons of sources though.

You may be right that these kinds of changes are too radical for gconf with dconf on the horizon.
Comment 6 Bug Zapper 2009-11-18 03:41:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:41:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.